Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   CRUX (http://www.linux-archive.org/crux/)
-   -   Error in building gegl-0.1.2 (http://www.linux-archive.org/crux/329111-error-building-gegl-0-1-2-a.html)

Hazel Russman 02-20-2010 06:35 AM

Error in building gegl-0.1.2
 
This package has a fatal code error as follows:

.libs/gegl-paint.o: In function `gegl_view_repaint':
gegl-paint.c:(.text+0x8e8): undefined reference to `gtk_widget_get_allocation'
collect2: ld returned 1 exit status

--
Hazel Russman <hazel_russman@yahoo.co.uk>
_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux

Thomas Penteker 02-22-2010 03:51 PM

Error in building gegl-0.1.2
 
* Hazel Russman (hazel_russman@yahoo.co.uk) wrote:
> This package has a fatal code error as follows:
>
> .libs/gegl-paint.o: In function `gegl_view_repaint':
> gegl-paint.c:(.text+0x8e8): undefined reference to `gtk_widget_get_allocation'
> collect2: ld returned 1 exit status

Which gtk version do you have installed? (your User-Agent header suggests it's
outdated)

Please provide me with more than this one error line (i.e. include the
g(cc|++) call that causes this error).


regards, Thomas



--
My pony-tail hit the on/off switch on the power strip.
_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux

Thomas Penteker 02-22-2010 09:35 PM

Error in building gegl-0.1.2
 
* Hazel Russman (hazel_russman@yahoo.co.uk) wrote:
> On Mon, 22 Feb 2010 17:50:30 +0100
> Thomas Penteker <tek@serverop.de> wrote:
>
> > Which gtk version do you have installed? (your User-Agent header suggests it's outdated)
> >
> Here are what I think are the relevant lines from gtkversion.h:
>
> #define GTK_MAJOR_VERSION (2)
> #define GTK_MINOR_VERSION (16)
> #define GTK_MICRO_VERSION (6)
> #define GTK_BINARY_AGE (1606)
> #define GTK_INTERFACE_AGE (6)
>

Your GTK installation is outdated.

I have

,---- [ /usr/include/gtk-2.0/gtk/gtkversion.h ]
|
| /* compile time version
| */
| #define GTK_MAJOR_VERSION»»-»-»-(2)
| #define GTK_MINOR_VERSION»»-»-»-(18)
| #define GTK_MICRO_VERSION»»-»-»-(5)
| #define GTK_BINARY_AGE»-»-»-»-»-(1805)
| #define GTK_INTERFACE_AGE»»-»-»-(5
`----


Please upgrade and then try to build gegl again.

--
vapors from evaporating sticky-note adhesives
_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux

Hazel Russman 02-22-2010 09:57 PM

Error in building gegl-0.1.2
 
Done! It works now. Thanks a lot.

On Mon, 22 Feb 2010 23:35:22 +0100
Thomas Penteker <tek@serverop.de> wrote:

> * Hazel Russman (hazel_russman@yahoo.co.uk) wrote:
> > On Mon, 22 Feb 2010 17:50:30 +0100
> > Thomas Penteker <tek@serverop.de> wrote:
> >
> > > Which gtk version do you have installed? (your User-Agent header suggests it's outdated)
> > >
> > Here are what I think are the relevant lines from gtkversion.h:
> >
> > #define GTK_MAJOR_VERSION (2)
> > #define GTK_MINOR_VERSION (16)
> > #define GTK_MICRO_VERSION (6)
> > #define GTK_BINARY_AGE (1606)
> > #define GTK_INTERFACE_AGE (6)
> >
>
> Your GTK installation is outdated.
>
> I have
>
> ,---- [ /usr/include/gtk-2.0/gtk/gtkversion.h ]
> |
> | /* compile time version
> | */
> | #define GTK_MAJOR_VERSION»»-»-»-(2)
> | #define GTK_MINOR_VERSION»»-»-»-(18)
> | #define GTK_MICRO_VERSION»»-»-»-(5)
> | #define GTK_BINARY_AGE»-»-»-»-»-(1805)
> | #define GTK_INTERFACE_AGE»»-»-»-(5
> `----
>
>
> Please upgrade and then try to build gegl again.
>
> --
> vapors from evaporating sticky-note adhesives


--
Hazel Russman <hazel_russman@yahoo.co.uk>
_______________________________________________
CRUX mailing list
CRUX@lists.crux.nu
http://lists.crux.nu/mailman/listinfo/crux


All times are GMT. The time now is 05:35 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.